require File.dirname(__FILE__) + '/spec_helper'

require 'useless'
require 'oj'

describe 'museum.useless.io Documentation' do
  include Rack::Test::Methods

  def app
    Useless::Rack.new do
      map 'museum' => Useless::Museum
    end
  end

  describe 'OPTIONS /' do
    it 'should return JSON for the full API documentation' do
      options 'http://museum.useless.io/'
      last_response.status.should == 200
      doc = Oj.load(last_response.body)
      doc['name'].should == 'Museum'
      doc['url'].should == 'http://museum.useless.io'
      doc['resources'].length.should == 2
    end
  end

  describe 'OPTIONS /photos/:id' do
    it 'should return JSON for the resource documentation' do
      options 'http://museum.useless.io/photos/:id'
      last_response.status.should == 200
      doc = Oj.load(last_response.body)
      doc['path'].should == '/photos/:id'
    end
  end

  describe 'OPTIONS /photos' do
    it 'should return JSON for the resource documentation' do
      options 'http://museum.useless.io/photos'
      last_response.status.should == 200
      doc = Oj.load(last_response.body)
      doc['path'].should == '/photos'
    end
  end
end