ENV['RACK_ENV'] = 'test'
require File.dirname(__FILE__) + '/../lib/useless/museum'

require 'rubygems'
require 'bundler/setup'

require 'rack/test'
require 'useless/rack'

RSpec.configure do |config|
  config.order = :rand

  def clean_database
    Useless.mongo.db.collections.each do |collection|
      if !(collection.name =~ /^system\./)
        collection.drop
      end
    end
  end

  config.before(:suite){ clean_database }

  config.after(:each) do
    clean_database

    # After dropping collections, we need to force a new connection on the
    # next request.
    Useless.mongo.reset_connection!
  end

  def upload_file(path, content_type = nil)
    Rack::Test::UploadedFile.new(asset_path(path), content_type)
  end

  def asset_path(path)
    File.dirname(__FILE__) + '/support/assets/' + path
  end
end
